Loading...
Searching...
No Matches
ojph::infile_base Class Referenceabstract

`#include <ojph_file.h>`

Inheritance diagram for ojph::infile_base:

## Public Types

enum | seek : int { OJPH_SEEK_SET = SEEK_SET , OJPH_SEEK_CUR = SEEK_CUR , OJPH_SEEK_END = SEEK_END }

## Public Member Functions

virtual | ~infile_base ()
virtual size_t | read (void *ptr, size_t size)=0
virtual int | seek (si64 offset, enum infile_base::seek origin)=0
virtual si64 | tell ()=0
virtual bool | eof ()=0
virtual void | close ()

## Detailed Description

Definition at line 246 of file ojph_file.h.

## Member Enumeration Documentation

## seek

enum ojph::infile_base::seek : int

Enumerator
OJPH_SEEK_SET |
OJPH_SEEK_CUR |
OJPH_SEEK_END |

Definition at line 249 of file ojph_file.h.

## Constructor & Destructor Documentation

## ~infile_base()

virtual ojph::infile_base::~infile_base | ( |  | ) |

inline virtual

Definition at line 255 of file ojph_file.h.

## Member Function Documentation

## close()

virtual void ojph::infile_base::close | ( |  | ) |

inline virtual

Reimplemented in ojph::j2c_infile, and ojph::mem_infile.

Definition at line 263 of file ojph_file.h.

## eof()

virtual bool ojph::infile_base::eof | ( |  | ) |

pure virtual

Implemented in ojph::j2c_infile, and ojph::mem_infile.

Referenced by ojph::local::find_marker().

## read()

virtual size_t ojph::infile_base::read | ( | void * | ptr,
|  | size_t | size )

pure virtual

Implemented in ojph::j2c_infile, and ojph::mem_infile.

Referenced by ojph::local::bb_read(), ojph::local::bb_read_chunk(), ojph::local::bb_skip_eph(), ojph::local::bb_skip_sop(), ojph::local::find_marker(), ojph::local::param_atk::read(), ojph::local::param_cap::read(), ojph::local::param_cod::read(), ojph::local::param_dfs::read(), ojph::local::param_nlt::read(), ojph::local::param_qcd::read(), ojph::local::param_siz::read(), ojph::local::param_sot::read(), ojph::local::param_cod::read_coc(), ojph::local::param_atk::read_coefficient(), ojph::local::param_atk::read_coefficient(), ojph::local::param_qcd::read_qcc(), and ojph::local::skip_marker().

## seek()

virtual int ojph::infile_base::seek | ( | si64 | offset,
|  | enum infile_base::seek | origin )

pure virtual

Implemented in ojph::j2c_infile, and ojph::mem_infile.

## tell()

virtual si64 ojph::infile_base::tell | ( |  | ) |

pure virtual

Implemented in ojph::j2c_infile, and ojph::mem_infile.

Referenced by ojph::local::precinct::parse(), and ojph::local::tile::parse_tile_header().

The documentation for this class was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/openjph/ojph_file.h